## nilearn 0.1.4+git3-g60d2a1b~dfsg.1

=== debian/changelog ===
nilearn (0.1.4+git3-g60d2a1b~dfsg.1-1~nd14.10+1) utopic; urgency=low

  * Backported for utopic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Team
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Team <team@neuro.debian.net>  Sun, 19 Jul 2015 17:19:27 +0200

nilearn (0.1.4+git3-g60d2a1b~dfsg.1-1) UNRELEASED; urgency=low

  * Initial release (Closes: #792279).
  * No documentation is built as it required the download of auxiliary
    data files.

 -- Michael Hanke <mih@debian.org>  Mon, 13 Jul 2015 19:35:55 +0200
