=== doc/Makefile ===
--- 
+++ 
@@ -20,6 +20,7 @@
 	@echo "Please use \`make <target>' where <target> is one of"
 	@echo "  html      to make standalone HTML files"
 	@echo "  html-noplot to make standalone HTML files, without plotting anything"
+	@echo "  check     to do a sanity check of the documentation"
 	@echo "  dirhtml   to make HTML files named index.html in directories"
 	@echo "  pickle    to make pickle files"
 	@echo "  json      to make JSON files"
@@ -37,23 +38,41 @@
 	-rm -rf generated/*
 	-rm -rf modules/generated/*
 
+sym_links:
+	# Make sym-links to share the cache across various example
+	# directories
+	-cd ../examples/ && mkdir nilearn_cache
+	-cd ../examples/01_plotting/ && ln -s ../nilearn_cache
+	-cd ../examples/02_decoding/ && ln -s ../nilearn_cache
+	-cd ../examples/03_connectivity/ && ln -s ../nilearn_cache
+	-cd ../examples/04_manipulating_images/ && ln -s ../nilearn_cache
+	-cd ../examples/05_advanced/ && ln -s ../nilearn_cache
+
 force_html: force html
 
 force:
 	find . -name \*.rst -exec touch {} \;
 
-html:
+html:	sym_links
 	# These two lines make the build a bit more lengthy, and the
 	# the embedding of images more robust
 	rm -rf $(BUILDDIR)/html/_images
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
-	touch $(BUILDDIR)/html .nojekyll
+	touch $(BUILDDIR)/html/.nojekyll
+	@echo
+	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
+
+html-strict:	sym_links
+	# Build html documentation using a strict mode: Warnings are
+	# considered as errors.
+	make check
+	touch $(BUILDDIR)/html/.nojekyll
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
 
 html-noplot:
-	$(SPHINXBUILD) -D plot_gallery=False -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
-	touch $(BUILDDIR)/html .nojekyll
+	$(SPHINXBUILD) -D plot_gallery=0 -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
+	touch $(BUILDDIR)/html/.nojekyll
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
 
@@ -132,14 +151,26 @@
 	cp _build/latex/nilearn-nup.pdf nilearn.pdf
 	#cd _build/latex ; make all-pdf ; pdfnup nilearn.pdf
 
+check:
+	rm -rf _build/doctrees
+	rm -rf $(BUILDDIR)/html/_images
+	$(SPHINXBUILD) -W -T -n -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
+
 install:
-	rm -rf _build/doctrees/
+	rm -rf _build/doctrees _build/nilearn.github.io
+	# first clone the nilearn.github.io repo because it may ask
+	# for password and we don't want to delay this long build in
+	# the middle of it
+	# --no-checkout just fetches the root folder without content
+	# --depth 1 is a speed optimization since we don't need the
+	# history prior to the last commit
+	git clone --no-checkout --depth 1 https://github.com/nilearn/nilearn.github.io.git _build/nilearn.github.io
+	touch _build/nilearn.github.io/.nojekyll
 	make html
-	rm -rf _build/nilearn.github.io
 	cd _build/ && \
-        git clone git@github.com:nilearn/nilearn.github.io.git && \
 	cp -r html/* nilearn.github.io && \
 	cd nilearn.github.io && \
 	git add * && \
+	git add .nojekyll && \
 	git commit -a -m 'Make install' && \
 	git push
