=== debian/changelog ===
nilearn (0.2.5~dfsg.1-1~nd16.04+1) xenial; urgency=medium

  * Backported for xenial.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sat, 18 Jun 2016 22:14:12 -0400

nilearn (0.2.5~dfsg.1-1) UNRELEASED; urgency=medium

  * New upstream release
  * debian/rules
    - http{,s}_proxy settings to guarantee absent network traffic during build

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 18 Jun 2016 08:53:15 -0400

nilearn (0.2.3~dfsg.1-1) UNRELEASED; urgency=low

  * New upstream release.
  * Add watch file.
  * Normalize debian/control via CME.
  * Update debian/copyright for directory rename.
  * Add Python 3 package.

 -- Michael Hanke <mih@debian.org>  Tue, 5 Jan 2016 20:35:15 +0200
