=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts=dversionmangle=s/~dfsg\.\d*$// \
    http://pypi.debian.net/nilearn/nilearn-(.*).tar.gz
